Subject: Prefix selection option (Was: RE: A few additional items re: -19 draft)

From: Ralph Droms <[email-masked]>
Date: Thu, 26 Jul 2001 16:16:40 -0400

Thanks for the clarification, Bernie.

I suggest that this option can be considered separately at a later date.

- Ralph

At 02:48 PM 7/26/2001 -0500, Bernie Volz (EUD) wrote:

>Let me try to clarify ...
>
>By client I meant something like a Network Access Server (Remote Access
>Server) that is acting as a DHCPv6 client on behalf of "real" clients (but
>those clients don't run DHCP but instead us some other means of obtaining
>addresses from the NAS/RAS).
>
>Perhaps this model doesn't apply to IPv6? (As I recall, the PPP over IPv6
>document only allows negotation of a interface identifier. And, this probably
>contracts a lot of the IPv6 address configuration specifications.)
>
>Basically, I'm trying to forsee the situation where a device is using DHCPv6
>on behalf of a "client" (not a DHCPv6 client) to obtain addresses for it.
>However, the link on which that device (which is the DHCPv6 client) is
>communicating with the DHCPv6 server (either directly or indirectly) is NOT
>the link on which it needs to obtain addresses for.
>
>Now, perhaps the argument in DHCPv6 would be that that device should act
>as a relay, but perhaps that adds one more level of complexity into the
>implementation that isn't needed or desired.
>
>A server always can have policy controls as to whether it will or will not
>accept that "Prefix Selection Option" or not.
>
>Does that help? Perhaps this is a useless request at this time if noone
>else feels there is any need (it can always be added later I guess like the
>subnet selection option was).
>
>- Bernie
>
>-----Original Message-----
>From: Ralph Droms [<mailto:[email-masked]>mailto:[email-masked]]
>Sent: Thursday, July 26, 2001 3:18 PM
>To: DHCPv6 discussion list
>Cc: DHCPv6 discussion list
>Subject: Re: A few additional items re: -19 draft
>
>Bernie - I don't understand your question.  Can you explain what you mean
>by "client" and "allocate"?
>
>- Ralph
>
>At 12:10 PM 7/23/2001 -0500, Bernie Volz (EUD) wrote:
>
> >- Should we consider a client prefix-selection option as
> >a base option to allow a "client" to allocate an address
> >for a prefix other than the one it might be on? Should
> >this be part of the base specification?
> >
> >Note: Perhaps these devices should just be Relays and use
> >the Relay-Forward. In this case, they can simply specify
> >that information via the relay-address field. And, if we
> >have the server use the IPv6 source address for sending
> >replies to the relay's, then this field (relay-address)
> >can even contain something that might not truly be an
> >address assigned to the relay.